MMEvents.createProcesses(event => {
  event
    .create('mm:extractor_recipe')
    .structureId('mm:extractor_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:soul_sand',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 1000
      }
    })
    .output({
      type: 'mm:output/simple',
      ingredient: {
        type: 'mm:item',
        item: 'forbidden_arcanus:soul',
        count: 1
      }
    })
    })